Redmine - Defect #11180

Problem with update spent time
2012-06-15 21:34 - Michael Paz

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Cant reproduce Affected version: 1.3.2

Description
Dear team,

| work for test app in redmine and when update spent time defined for one issue my redmine crashes (see detail about this in
attached image), then | see this error in production.log:

Processing IssuesController#index (for 182.111.XXX.89 at 2012-06-15 14:58:33) [GET]

Parameters: {"project_id"=>"pruebal", "action"=>"index", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/index

Completed in 558ms (View: 380, DB: 153) | 200 OK [http://XXX.XXX.XX.XXX/projects/pruebal/issues]

Processing ContextMenusController#issues (for 182.111.XXX.89 at 2012-06-15 14:58:43) [GET]

Parameters: {"action"=>"issues", "controller'=>"context_menus", "back_url"=>"/projects/pruebai/issues”, "ids"=>["41"],
"authenticity_token"=>"IXy8r0ylrZFcldCBoWKT5N+AlJ6ymcKtHek5ssXLy71="}

Rendering context_menus/issues

Completed in 38ms (View: 25, DB: 4) | 200 OK [

hitp /XXX XXX.XX.XXX/issues/context_menu?authenticity token=IXylrZFcld71%3D&back url=%2Fprojects%2Fpruebal%2Fissues
&ids%5B%5D=41]

Processing TimelogController#new (for 182.111.XXX.89 at 2012-06-15 14:58:54) [GET]

Parameters: {"issue_id"=>"41", "action"=>"new", "controller"=>"timelog"}

Rendering template within layouts/base

Rendering timelog/edit

Completed in 28ms (View: 17, DB: 6) | 200 OK [hitp://XXX.XXX.XX.XXX/issues/41/time_entries/new]

Processing TimelogController#create (for 182.111.XX.89 at 2012-06-15 14:59:12) [POST)]

Parameters: {"project_id"=>"pruebal", "commit"=>"Save", "action"=>"create", "controller"=>"timelog",
"time_entry"=>{"issue_id"=>"41", "comments"=>"Continuidad con la tarea asignada", "activity_id"=>"11", "hours"=>"22",
"spent_on"=>"2012-06-15"}, "back_url"=>"http%3A%2F%2F XXX. XXX . XX.XXX%2Fprojects%2Fpruebal%2Fissues",
"authenticity_token"=>"IXy8r0ylrZFcldCBoWKT5N+Alek5ssXLy71="}

NoMethodError (undefined method “group_by' for nil:NilClass):

app/controllers/timelog_controller.rb:121:in “create’

passenger (3.0.11) lib/phusion_passenger/rack/request_handler.rb:96:in “process_request'

passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:513:in "accept_and_process_next_request'
passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:274:in "main_loop'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in “start_request_handler'
passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in “send’

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in “handle_spawn_application'
passenger (3.0.11) lib/phusion_passenger/utils.rb:479:in “safe_fork'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in “handle_spawn_application'
passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in°__send_ '

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in “server_main_loop'
passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in “start_synchronously’
passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:180:in “start’

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in “start'
passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:219:in “spawn_rails_application’
passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:132:in “lookup_or_add'’
passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:214:in “spawn_rails_application’
passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:82:in “synchronize'
passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:79:in “synchronize'
http://XXX.XXX.XX.XXX/projects/prueba1/issues
http://XXX.XXX.XX.XXX/issues/context_menu?authenticity_token=IXylrZFcld7I%3D&back_url=%2Fprojects%2Fprueba1%2Fissues&ids%5B%5D=41
http://XXX.XXX.XX.XXX/issues/context_menu?authenticity_token=IXylrZFcld7I%3D&back_url=%2Fprojects%2Fprueba1%2Fissues&ids%5B%5D=41
http://XXX.XXX.XX.XXX/issues/41/time_entries/new

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:213:in “spawn_rails_application’
passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:132:in “spawn_application'
passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:275:in “handle_spawn_application’
passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in*__send__'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in “server_main_loop'
passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in “start_synchronously’
passenger (3.0.11) helper-scripts/passenger-spawn-server:99

Rendering /var/www/proyectos/public/500.html (500 Internal Server Error)

Thanks in advance, success activities.
Mike.

History

#1 - 2012-06-16 21:47 - Jean-Philippe Lang

- Resolution set to Cant reproduce

There's no #group_by call in 1.3.2 at source:/tags/1.3.2/app/controllers/timelog_controller.rb#L 121.
Maybe a custom change.

#2 - 2017-06-05 05:48 - Go MAEDA

- Status changed from New to Closed

Please open a new issue if the problem persists in the latest version of vanilla Redmine.

Files
UpdateAction.png 13.7 KB 2012-06-15 Michael Paz
